1..2 | % { Get-ChildItem -Path "\\rejk-p-mdl00$_\d-drive\ifsbodata\fsv\incoming_histo" } | where { $_.name -match '201608' } | Get-ChildItem -Recurse | % { 
    foreach($pattern in ('1113973L.C23','1131212L.FCF','1131213L.0CA','1143823L.B8F')) { 
        Write-Host "Looking for '$pattern' in '$($_.fullname)'"
        $_ | Select-String -Pattern $pattern 
    }
}